onyx(1)

NAME
onyx - stand-alone Onyx language interpreter

SYNOPSIS
onyx -h
onyx -V
onyx -e <expr>
onyx <file> [<args>]

DESCRIPTION
The onyx program is a stand-alone Onyx language interpreter, with an integrated command line editor. This manual page only documents the command line usage for onyx; much more extensive documentation is available in HTML, PostScript, and PDF formats. See the FILES section below.

  Command line flags:

-e  <expr>
    Execute <expr> as Onyx code.

-h  Display usage information and exit.

-V  Display the version number and exit.

FILES
/usr/local/share/onyx/doc/html/onyx.html
/usr/local/share/onyx/doc/ps/onyx.ps
/usr/local/share/onyx/doc/pdf/onyx.pdf

HISTORY
Written by Jason Evans <jasone@canonware.com>.